//package com.usky.dxtop.service.config.rabbiemq;
//
//import com.usky.dxtop.service.config.MqProperties;
//import lombok.Data;
//import org.springframework.amqp.core.*;
//import org.springframework.amqp.rabbit.annotation.EnableRabbit;
//import org.springframework.amqp.rabbit.config.SimpleRabbitListenerContainerFactory;
//import org.springframework.amqp.rabbit.connection.ConnectionFactory;
//import org.springframework.amqp.rabbit.core.RabbitAdmin;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.autoconfigure.amqp.SimpleRabbitListenerContainerFactoryConfigurer;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.context.annotation.Primary;
//
///**
// * @author yq
// * @date 2021/9/8 9:18
// */
//@Data
//@Configuration
//@EnableRabbit
//public class DishConfig {
//
//    private static final String NAME = "dish_trade_produce";
//    @Autowired
//    private MqProperties mqProperties;
//
//    private String virtualHost;
//    /**
//     * 人员 exchange
//     */
//    private String dishExchange = NAME;
//
//
//    /**
//     * 人员 queue
//     */
//    private String dishQueue = NAME;
//
//    /**
//     * 人员 route key
//     */
//    private String dishRouteKey = NAME;
//
//
//    @Bean
//    public DirectExchange dishExchange() {
//        return new DirectExchange(dishExchange, true, false);
//    }
//
//    @Bean
//    Queue dishQueue() {
//        return new Queue(dishQueue,true);
//    }
//
//    @Bean
//    Binding bindingPersonDirect() {
//        return BindingBuilder.bind(dishQueue()).to(dishExchange()).with(dishRouteKey);
//    }
//
//    @Bean(name = "dishConnectionFactory")
//    public ConnectionFactory dishConnectionFactory(){
//        return mqProperties.connectionFactory(virtualHost);
//    }
//
//    @Bean(name = "dishRabbitTemplate")
//    public RabbitTemplate rabbitTemplate() {
//        return mqProperties.rabbitTemplate(dishConnectionFactory());
//    }
//
//
//    @Bean(name = "dishListenerFactory")
//    public SimpleRabbitListenerContainerFactory listenerFactory(
//            SimpleRabbitListenerContainerFactoryConfigurer configurer) {
//        return mqProperties.listenerFactory(configurer,dishConnectionFactory());
//    }
//}
