//package com.usky.dxtop.service.config.rabbiemq;
//
//import com.usky.dxtop.service.config.MqProperties;
//import lombok.Data;
//import org.springframework.amqp.core.*;
//import org.springframework.amqp.rabbit.annotation.EnableRabbit;
//import org.springframework.amqp.rabbit.config.SimpleRabbitListenerContainerFactory;
//import org.springframework.amqp.rabbit.connection.ConnectionFactory;
//import org.springframework.amqp.rabbit.core.RabbitAdmin;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Qualifier;
//import org.springframework.boot.autoconfigure.amqp.SimpleRabbitListenerContainerFactoryConfigurer;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.context.annotation.Primary;
//import org.springframework.stereotype.Component;
//
///**
// * @author yq
// * @date 2021/9/8 9:19
// */
//@Data
//@Configuration
//@EnableRabbit
//public class ProdConfig {
//
//    private static final String NAME = "prod_trans_produce";
//
//    @Autowired
//    private MqProperties mqProperties;
//
//    private String virtualHost = NAME;
//
//    /**
//     * 人员 exchange
//     */
//    private String prodExchange = NAME;
//    /**
//     * 人员 queue
//     */
//    private String prodQueue = NAME;
//
//    /**
//     * 人员 route key
//     */
//    private String prodRouteKey = NAME;
//
//
//    @Bean
//    public DirectExchange prodExchange() {
//        return new DirectExchange(prodExchange, true, false);
//    }
//
//    @Bean
//    Queue prodQueue() {
//        return new Queue(prodQueue,true);
//    }
//
//    @Bean
//    Binding bindingPersonDirect() {
//        return BindingBuilder.bind(prodQueue()).to(prodExchange()).with(prodRouteKey);
//    }
//
//
//    @Bean(name = "prodConnectionFactory")
//    public ConnectionFactory prodConnectionFactory(){
//        return mqProperties.connectionFactory(virtualHost);
//    }
//
//    @Bean(name = "prodRabbitTemplate")
//    public RabbitTemplate rabbitTemplate() {
//        return mqProperties.rabbitTemplate(prodConnectionFactory());
//    }
//
//
//    @Bean(name = "prodListenerFactory")
//    public SimpleRabbitListenerContainerFactory listenerFactory(
//            SimpleRabbitListenerContainerFactoryConfigurer configurer) {
//        return mqProperties.listenerFactory(configurer,prodConnectionFactory());
//    }
//
//}
