//package com.usky.dxtop.service.config.rabbiemq;
//
//import com.usky.dxtop.service.config.MqProperties;
//import lombok.Data;
//import org.springframework.amqp.core.*;
//import org.springframework.amqp.rabbit.annotation.EnableRabbit;
//import org.springframework.amqp.rabbit.config.SimpleRabbitListenerContainerFactory;
//import org.springframework.amqp.rabbit.connection.ConnectionFactory;
//import org.springframework.amqp.rabbit.core.RabbitAdmin;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.autoconfigure.amqp.SimpleRabbitListenerContainerFactoryConfigurer;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.context.annotation.Primary;
//
///**
// * @author yq
// * @date 2021/9/8 9:18
// */
//@Data
//@Configuration
//@EnableRabbit
//public class ChargeConfig {
//
//    private static final String NAME = "charge_trans_produce";
//    @Autowired
//    private MqProperties mqProperties;
//
//    private String virtualHost;
//    /**
//     * 人员 exchange
//     */
//    private String chargeExchange = NAME;
//
//
//    /**
//     * 人员 queue
//     */
//    private String chargeQueue = NAME;
//
//    /**
//     * 人员 route key
//     */
//    private String chargeRouteKey = NAME;
//
//
//    @Bean
//    public DirectExchange chargeExchange() {
//        return new DirectExchange(chargeExchange, true, false);
//    }
//
//    @Bean
//    Queue chargeQueue() {
//        return new Queue(chargeQueue,true);
//    }
//
//    @Bean
//    Binding bindingPersonDirect() {
//        return BindingBuilder.bind(chargeQueue()).to(chargeExchange()).with(chargeRouteKey);
//    }
//
//    @Bean(name = "chargeConnectionFactory")
//    public ConnectionFactory chargeConnectionFactory(){
//        return mqProperties.connectionFactory(virtualHost);
//    }
//
//    @Bean(name = "chargeRabbitTemplate")
//    public RabbitTemplate rabbitTemplate() {
//        return mqProperties.rabbitTemplate(chargeConnectionFactory());
//    }
//
//
//    @Bean(name = "chargeListenerFactory")
//    public SimpleRabbitListenerContainerFactory listenerFactory(
//            SimpleRabbitListenerContainerFactoryConfigurer configurer) {
//        return mqProperties.listenerFactory(configurer,chargeConnectionFactory());
//    }
//}
