//package com.usky.dxtop.service.config.rabbiemq;
//
//import com.usky.dxtop.service.config.MqProperties;
//import lombok.Data;
//import org.springframework.amqp.core.*;
//import org.springframework.amqp.rabbit.annotation.EnableRabbit;
//import org.springframework.amqp.rabbit.config.SimpleRabbitListenerContainerFactory;
//import org.springframework.amqp.rabbit.connection.ConnectionFactory;
//import org.springframework.amqp.rabbit.core.RabbitAdmin;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.autoconfigure.amqp.SimpleRabbitListenerContainerFactoryConfigurer;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.context.annotation.Primary;
//
///**
// * @author yq
// * @date 2021/9/8 9:18
// */
//@Data
//@Configuration
//@EnableRabbit
//public class FaceConfig {
//
//    private static final String NAME = "profile_face";
//    @Autowired
//    private MqProperties mqProperties;
//
//    private String virtualHost;
//    /**
//     * 人员 exchange
//     */
//    private String faceExchange = NAME;
//
//
//    /**
//     * 人员 queue
//     */
//    private String faceQueue = NAME;
//
//    /**
//     * 人员 route key
//     */
//    private String faceRouteKey = NAME;
//
//
//    @Bean
//    public DirectExchange faceExchange() {
//        return new DirectExchange(faceExchange, true, false);
//    }
//
//    @Bean
//    Queue faceQueue() {
//        return new Queue(faceQueue,true);
//    }
//
//    @Bean
//    Binding bindingPersonDirect() {
//        return BindingBuilder.bind(faceQueue()).to(faceExchange()).with(faceRouteKey);
//    }
//
//    @Bean(name = "faceConnectionFactory")
//    public ConnectionFactory faceConnectionFactory(){
//        return mqProperties.connectionFactory(virtualHost);
//    }
//
//    @Bean(name = "faceRabbitTemplate")
//    public RabbitTemplate rabbitTemplate() {
//        return mqProperties.rabbitTemplate(faceConnectionFactory());
//    }
//
//
//    @Bean(name = "faceListenerFactory")
//    public SimpleRabbitListenerContainerFactory listenerFactory(
//            SimpleRabbitListenerContainerFactoryConfigurer configurer) {
//        return mqProperties.listenerFactory(configurer,faceConnectionFactory());
//    }
//}
