package com.usky.dxtop.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/9/6 14:37
 */
@Data
public class CardLogsRequest {

    /**
     * 卡消费类型(1 查询卡消费日志（包含消费撤单日志）
     * 2 查询卡充值日志（包含充值撤单日志）
     * 3 查询卡消费和充值日志（包含消费和充值撤
     * 单日志）)
     */
    private Integer type;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 卡号
     */
    private String cid;
    /**
     * 卡面编码
     */
    private String cno;
    /**
     * 账号类型(0 主帐户（默认）
     * 1 补贴帐户
     * -1 所有帐户)
     */
    private Integer account;
    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

}
