package com.usky.dxtop.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/9/6 14:48
 */
@Data
public class CardLogsVO {
    /**
     * 中心流水码
     */
    private Long seq;
    /**
     * 物理卡号
     */
    private String cid;
    /**
     *卡片编号
     */
    private String cno;
    /**
     *记录类型(1：消费
     * 5：消费撤单
     * 11：消费已撤单
     * 3：充值
     * 2120：充值撤单
     * 24：发卡
     * 31：余额减值
     * 32：余额加值
     * 3111：押金
     * 3121：发卡工本费
     * 说明：原始单据状态=1 为消费，如存在撤单时，原单据状态改成 11（已撤
     * 单），同时生成一张新单据（单据状态=5（消费撤单））；)
     */
    private Integer type;
    /**
     *操作员
     */
    private String operator;
    /**
     *记录创建时间
     */
    private Date creteTime;
    /**
     *变更金额
     */
    private Double amt;
    /**
     *变更后余额
     */
    private Double balance;
    /**
     *终端流水号
     */
    private String invoice;

}
